<section id="Event-List">
	<table>
        <tr>
            <th class="command"></th>
            <th class="desc">footnote</th>
        </tr>
        <tr>
            <td class="bold">*</td>
            <td>writable</td>
        </tr>
        <tr>
            <td class="bold">**</td>
            <td>can be null</td>
        </tr>
        <tr>
            <td class="bold">receiver</td>
            <td>sender (player / console)<br>"dev" (perm "script.debug" needed)<br>"online"<br>"server"</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity_change_block</th>
            <th class="desc">an entity changes a block</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>block<br>change_data as blockdata for the new state<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_damage</th>
            <th class="desc">an entity gets damage</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>damage_source<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/entity/EntityDamageEvent.DamageCause.html" target="_blank">cause</a> as string<br>**damager_block<br>**damager_entity<br>damage<br>raw_damage<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_heal</th>
            <th class="desc">an entity gets healed</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>*heal<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/entity/EntityRegainHealthEvent.RegainReason.html" target="_blank">cause</a> as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_death</th>
            <th class="desc">a living_entity dies</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>living_entity<br>damage_source<br>*drops as list of itemstacks<br>*experience<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_drop</th>
            <th class="desc">a destroyed block drops something</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>block<br>*drops as list with ItemEntities</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_click</th>
            <th class="desc">an entity gets right_clicked</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>entity<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
	</table>
    <table>
        <tr>
            <th class="command">living_spawn</th>
            <th class="desc">a living entity spawns</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>living_entity<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/entity/CreatureSpawnEvent.SpawnReason.html" target="_blank">cause</a> as string<br>location<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_spawn</th>
            <th class="desc">an entity spawns</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>location<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_remove</th>
            <th class="desc">an entity is removed from a world</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_tame</th>
            <th class="desc">a living entity gets tamed</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>living_entity<br>tamer<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_mount</th>
            <th class="desc">an entity mounts another entity</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>mount as entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_login</th>
            <th class="desc">a player tries to connect to the server</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>result</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_join</th>
            <th class="desc">a player joins the server</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>*message as text</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>message = null means no message</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_quit</th>
            <th class="desc">a player leaves the server</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>*message as text</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>message = null means no message</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_pre_respawn</th>
            <th class="desc">the player will respawn</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>devs can set the spawn-location on this event</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_post_respawn</th>
            <th class="desc">the player has respawned</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>devs can refill the inventory on this event</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_toggle_sneak</th>
            <th class="desc">a player toggles sneak</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>sneak as boolean<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_drop</th>
            <th class="desc">a player drops an item</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>item_entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_pickup</th>
            <th class="desc">a living entity picks up an item</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>living_entity<br>item_entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_move</th>
            <th class="desc">a player moves in a before defined area</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>id</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_break</th>
            <th class="desc">a block is broken</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>block<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_place</th>
            <th class="desc">a block is placed</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>block<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_click</th>
            <th class="desc">a block gets clicked</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>**block<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/block/Action.html" target="_blank">action</a> as string<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">bucket_use</th>
            <th class="desc">a bucket is filled / vacated</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>block<br>bucket as material<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv_click</th>
            <th class="desc">a slot in an container gets clicked</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>inv<br>**inv_clicked<br>inv_title as text<br>inv_slot as double<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/inventory/ClickType.html" target="_blank">click</a> as string<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/inventory/InventoryAction.html" target="_blank">action</a> as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">snuvi_click</th>
            <th class="desc">a slot in an custom inventory gets clicked</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>inv<br>inv_title as text<br>inv_slot as double<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/inventory/ClickType.html" target="_blank">click</a> as string<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/inventory/InventoryAction.html" target="_blank">action</a> as string</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>Custom inventories are not script-across.</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv_close</th>
            <th class="desc">an inventory gets closed</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>inv<br>inv_title as text</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item_consume</th>
            <th class="desc">an item gets consumed by a player</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>item<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">pre_craft</th>
            <th class="desc">a player crafts an item</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>players as list with players<br>*item<br>*inv</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>item can be set to null</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">craft</th>
            <th class="desc">a player takes the result item out of craft inventory</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>item<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_change_world</th>
            <th class="desc">a player changes the world</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>from world as string</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_teleport</th>
            <th class="desc">a player teleports</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>from as location<br>to as location<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/event/player/PlayerTeleportEvent.TeleportCause.html" target="_blank">cause</a> as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">fishing</th>
            <th class="desc">a player fishes something</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>**entity<br>*experience<br>hook as entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command</th>
            <th class="desc">a player uses a non custom-command</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>command as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">custom_command</th>
            <th class="desc">something uses a custom-command</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>sender<br>command as string<br>args as list<br>string_args as list with strings only</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>sender can be a player, console...<br></td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">chat</th>
            <th class="desc">a player writes into chat</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>*message as text<br>*cancel</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>This event is fired asynchronous</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">projectile_hit</th>
            <th class="desc">a thrown projectile hits a block or an entity</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>**shooter<br>projectile<br>**entity_hit<br>**block_hit<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">arm_swing</th>
            <th class="desc">a player makes an arm_swing (might be a leftclick into air)</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br><a href="https://papermc.io/javadocs/paper/1.18/org/bukkit/inventory/EquipmentSlot.html" target="_blank">hand</a><br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">human_damage</th>
            <th class="desc">a human gets damage</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>human<br>damage_source<br>damage<br>*cancel | true</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">explosion</th>
            <th class="desc">explosions are cancelled on default</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>entity<br>*fire as boolean<br>*radius<br>*cancel | true</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">missing_command</th>
            <th class="desc">a sender uses a non-existing command</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>sender<br>command</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">missing_perm</th>
            <th class="desc">a sender has no permissions for a used command</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>sender<br>command</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_data_tick</th>
            <th class="desc">thrown if a timer from data.setTimer reached 0</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>var</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_elytra_start</th>
            <th class="desc">thrown if a player starts using an elytra</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_elytra_stop</th>
            <th class="desc">thrown if a player stops using an elytra</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_item_held</th>
            <th class="desc">a player changes their hotbar slot</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>from as double<br>to as double<br>*cancel</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_swap_hand_items</th>
            <th class="desc">a player swaps their items in their hands</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>player<br>*cancel</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world_load</th>
            <th class="desc">a world gets loaded</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>world</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">vote</th>
            <th class="desc">a vote gets received</th>
        </tr>
        <tr>
            <td class="bold">Variables</td>
            <td>from as string<br>name as string<br>ip as string<br>timestamp as double</td>
        </tr>
    </table>
</section>
<section id="Event">
    <table>
        <tr>
            <th class="command">Xevent.addMoveData</th>
            <th class="desc">defines an area for player_move event and returns the move_id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>event.addMoveData(location1, location2, cooldown, livingtime, [uuid / string_uuid / player])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
                cooldown: -1 terminated after a single trigger<br>
                cooldown: > 0 clock rate in Ticks. no termination<br>
				livingtime: -1 area lives forever<br>
                livingtime: > 0 stays amount of ticks alive<br>
				player / uuid: event only triggers for this player
            </td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>on script termination this area will be removed</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xevent.removeMoveData</th>
            <th class="desc">removes a defined area for player_move event</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>event.removeMoveData(id)</td>
        </tr>
    </table>
</section>
<section id="Ban">
	<table>
        <tr>
            <th class="command">Xban.add</th>
            <th class="desc">bans a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.add(uuid / string_uuid / player, reason, banner, [end_date])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
				reason as string<br>
				banner as string (the person who bans, almost you can write in here what you want)<br>
				end_date as calendar object
			</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xban.remove</th>
            <th class="desc">unbans a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.remove(uuid / string_uuid / player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xban.kick</th>
            <th class="desc">kicks a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.kick(player, reason)</td>
        </tr>
    </table>
</section>
<section id="Block">
    <table>
        <tr>
            <th class="command">Xblock.set</th>
            <th class="desc">set a block at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.set(location, ItemString, [boolean|false])</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>boolean true places without block update</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>block.set(loc, "km:apricot_leaves")<br>block.set(loc, "minecraft:oak_log[axis=x]")</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.clone</th>
            <th class="desc">clone a block from a location to another</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.clone(from-location, to-location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.setSpawnerType</th>
            <th class="desc">sets the spawnertype</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setSpawnerType(location, entity_class)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.setSign</th>
            <th class="desc">set text on a sign and returns true on success</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setSign(location, row, text)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>block.setSign(row: 0 to 3)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.getSign</th>
            <th class="desc">returns the text of a sign from a specific row or null if block is no sign</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getSign(location, row)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>block.setSign(row: 0 to 3)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.addItem</th>
            <th class="desc">adds an itemstack to a container</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.addItem(location, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Returns</td>
            <td>the modified original itemstack that has not fit in. air itemstack if done perfectly</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.subItem</th>
            <th class="desc">removes an itemstack from a container</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.subItem(location, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Returns</td>
            <td>the modified original itemstack that could not be removed. air itemstack if done perfectly</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.get</th>
            <th class="desc">returns a block object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.get(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.getSecChest</th>
            <th class="desc">returns the second location of a doublechest</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getSecChest(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.getInv</th>
            <th class="desc">returns the (non-copy) inventory of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getInv(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.getType</th>
            <th class="desc">returns the type of a block at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getType(location)</td>
        </tr>
		<tr>
            <td class="bold">Examples</td>
            <td>returns "minecraft:wool" / "km:artefact"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.toStack</th>
            <th class="desc">returns an itemstack from a block at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.toStack(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.getItemAmount</th>
            <th class="desc">returns the amount from a specific itemtype in an container</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getItemAmount(location, boolean, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>true means exact itemstack</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.setDoorStatus</th>
            <th class="desc">true opens a door</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setDoorStatus(location, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.getDoorStatus</th>
            <th class="desc">returns true if the door is open</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getDoorStatus(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.setTrapdoorStatus</th>
            <th class="desc">true opens a trapdoor</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setTrapdoorStatus(location, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.getTrapdoorStatus</th>
            <th class="desc">returns true if the trapdoor is open</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getTrapdoorStatus(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.isAir</th>
            <th class="desc">returns true if the block at the location is an air block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.isAir(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.countAir</th>
            <th class="desc">returns the amount of air blocks a location surrounded with</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.countAir(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xblock.isSolid</th>
            <th class="desc">returns true if the block is solid</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.isSolid(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.getTag</th>
            <th class="desc">returns a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getTag(String tag_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.hasTag</th>
            <th class="desc">returns true if a block has a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.hasTag(tag, Block)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.getProperties</th>
            <th class="desc">returns a collection of properties</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getProperties(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.getProperty</th>
            <th class="desc">returns a property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getProperty(String property_name)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>some properties has to be renamed. look here: <a href="https://git.hammerle.me/kjhammerle/minecraft-kajetans-mod/src/master/src/main/java/me/km/utils/Mapper.java" target="_blank">me.km.utils.Mapper</a></td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.property.getValue</th>
            <th class="desc">returns the value of a property as double, string or boolean, demanding on the property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.property.getValue(location, property)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.property.setInt</th>
            <th class="desc">sets the value of a property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.property.setInt(location, property, int)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.property.setBool</th>
            <th class="desc">sets the value of a property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.property.setBool(location, property, boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.property.setEnum</th>
            <th class="desc">sets the value of a property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.property.setEnum(location, property, string))</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.setState</th>
            <th class="desc">sets the state of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setState(location, state, [boolean])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.getState</th>
            <th class="desc">returns the state of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getState(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.newState</th>
            <th class="desc">creates a block state</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.newState(state)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>block.newState("minecraft:stone")</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>returns null if invalid state</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xblock.break</th>
            <th class="desc">breaks a block and drops the item</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.break(location, entity)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>entity can be null</td>
        </tr>
    </table>
</section>
<section id="Databank">
    <table>
        <tr>
            <th class="command">Xdatabank.prepare</th>
            <th class="desc">returns the prepared statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.prepare(sql-query, [boolean autoclose|true])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.setInt</th>
            <th class="desc">sets an int into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setInt(statement, index, int)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.setDouble</th>
            <th class="desc">sets a double into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setDouble(statement, index, double)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.setLong</th>
            <th class="desc">sets a long into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setLong(statement, index, long)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.setString</th>
            <th class="desc">sets a string into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setString(statement, index, string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.setBool</th>
            <th class="desc">sets a boolean into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setBool(statement, index, boolean)</td>
        </tr>
    </table>
	
    <table>
        <tr>
            <th class="command">Xdatabank.getInt</th>
            <th class="desc">returns an int from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getInt(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.getDouble</th>
            <th class="desc">returns a double from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getDouble(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.getLong</th>
            <th class="desc">returns a long from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getLong(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.getString</th>
            <th class="desc">returns a string from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getString(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.getBool</th>
            <th class="desc">returns a boolean from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getBool(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.execute</th>
            <th class="desc">returns a result-set after executing the statement (for all reading queries like SHOW, SELECT)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.execute(statement)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.workerExecute</th>
            <th class="desc">executing the statement (for all writing queries like UPDATE, DELETE, CREATE, INSERT, DROP)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.workerExecute(statement)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.next</th>
            <th class="desc">returns true and jumps to the next entry if the result-set has a next entry</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.next(result-set)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdatabank.close</th>
            <th class="desc">manual closing of a result-set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.close(result-set)</td>
        </tr>
    </table>
</section>
<section id="Config">
    <table>
        <tr>
            <th class="command">Xconfig.saveAsync</th>
            <th class="desc">saves a config asynchronous</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>config.saveAsync(config)</td>
        </tr>
    </table>
</section>
<section id="Gamerule">
	<table>
        <tr>
            <th class="command">Xgamerule.getKey</th>
            <th class="desc">returns the gamerule_key</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getKey(gamerule_string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xgamerule.getValue</th>
            <th class="desc">return the gamerule_value from a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getValue(world, gamerule_key)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xgamerule.isBool</th>
            <th class="desc">returns true if the value is a boolean</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.isBool(gamerule_value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xgamerule.isInt</th>
            <th class="desc">returns true if the value is an integer</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.isInt(gamerule_value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xgamerule.getBool</th>
            <th class="desc">returns the gamerule_value as boolean</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getBool(gamerule_value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xgamerule.getInt</th>
            <th class="desc">returns the gamerule_value as integer</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getInt(gamerule_value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xgamerule.setBool</th>
            <th class="desc">sets a gamerule_value</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.setBool(gamerule_value, boolean)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>Gamerules in other worlds than the overworld are not persistent.</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xgamerule.setInt</th>
            <th class="desc">sets a gamerule_value</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.setInt(gamerule_value, value)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>Gamerules in other worlds than the overworld are not persistent.</td>
        </tr>
    </table>
    </table>
</section>
<section id="General">
    <table>
        <tr>
            <th class="command">Xmsg</th>
            <th class="desc">sends a message</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>msg(receiver, string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xprint</th>
            <th class="desc">prints a text for devs</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>print(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand</th>
            <th class="desc">executes a Minecraft command from console</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command(minecraft command syntax as string without /)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xworker.hasWork</th>
            <th class="desc">returns true if the worker is working</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>worker.hasWork()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">XisPlayer</th>
            <th class="desc">returns true if the argument is a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>isPlayer(anything)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">XisLiving</th>
            <th class="desc">returns true if the argument is a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>isLiving(anything)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">XsetMOTD</th>
            <th class="desc">sets the server text in the server list</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>setMOTD(text)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">XmodTimer</th>
            <th class="desc">modifies the timer for the auto scheduler</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>modTimer(milliseconds as long)</td>
        </tr>
    </table>
</section>
<section id="Item">
    <table>
        <tr>
            <th class="command">Xitem.drop</th>
            <th class="desc">drops an itemstack at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.drop(location, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.get</th>
            <th class="desc">returns an item as object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.get(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.getType</th>
            <th class="desc">returns the type of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getType(itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>"minecraft:wool" / "km:artefact"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.getAmount</th>
            <th class="desc">returns the amount of items in an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getAmount(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.setAmount</th>
            <th class="desc">sets the amount of items for an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setAmount(itemstack, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.getName</th>
            <th class="desc">returns the name of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getName(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.setName</th>
            <th class="desc">sets the name of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setName(itemstack, name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.getLore</th>
            <th class="desc">returns a list with all lores of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getLore(ItemStack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.setLore</th>
            <th class="desc">sets the lore for an itemstack with the elements in the list</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setLore(itemstack, List)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.addLore</th>
            <th class="desc">sets the lore for an itemstack for a specific row</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addLore(itemstack, lore, row)</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">Xitem.addAttribute</th>
            <th class="desc">adds an attribute to an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addAttribute(itemstack, attribute, slot, double, operation)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>
				attributes: generic.max_health, generic.follow_range, generic.knockback_resistance, generic.movement_speed, generic.flying_speed, generic.attack_damage, generic.attack_damage, generic.attack_knockback, generic.attack_speed, generic.armor, generic.armor_toughness, generic.luck, zombie.spawn_reinforcements, horse.jump_strength<br>
				slots: mainhand, offhand, head, chest, legs, feet<br>
				operation: 0 (ADDITION), 1 (MULTIPLY_BASE), 2 (MULTIPLY_TOTAL)
			</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">Xitem.clearAttributes</th>
            <th class="desc">removes all custom attributes from an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.clearAttributes(itemstack)</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">Xitem.hasAttributes</th>
            <th class="desc">returns true if an itemstack has custom attributes</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hasAttributes(itemstack)</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">Xitem.addDefaultTags</th>
            <th class="desc">adds the default attributes to an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addDefaultTags(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.hide</th>
            <th class="desc">hides something on an itemstack and returns true on success</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hide(itemstack, name)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>name: "enchantments" / "attributes" / "unbreakable" / "destroys" / "placed_on" / "potion_effects"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.addPotion</th>
            <th class="desc">unknown</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addPotion(itemstack, potion_name, duration, power)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.setCoolDown</th>
            <th class="desc">sets the cooldown for an item-type</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setCoolDown(player, itemstack, ticks)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.clone</th>
            <th class="desc">returns a copy of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.clone(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getTag</th>
            <th class="desc">returns a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getTag(String tag_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.hasTag</th>
            <th class="desc">returns true if an itemstack has a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hasTag(tag, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.hasName</th>
            <th class="desc">returns true if the itemstack has a modified name</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hasName(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getFullText</th>
            <th class="desc">returns the full text object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getFullText(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.isDamageable</th>
            <th class="desc">returns true if the itemstack is damageable</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.isDamageable(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getMaxDamage</th>
            <th class="desc">returns the maximum damage the itemstack can get</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getMaxDamage(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.setDamage</th>
            <th class="desc">sets the damage of the itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setDamage(itemstack, amount)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getDamage</th>
            <th class="desc">returns the damage of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getDamage(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.getMaxAmount</th>
            <th class="desc">returns the maximum amount of stackable items</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getMaxAmount(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.entity.get</th>
            <th class="desc">returns an itemstack from an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.get(item-entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.entity.set</th>
            <th class="desc">sets an itemstack to an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.set(item-entity, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.entity.new</th>
            <th class="desc">creates an item-entity from an itemstack and returns the item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.new(location, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xitem.entity.spawn</th>
            <th class="desc">spawns an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.spawn(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xitem.entity.setLifespan</th>
            <th class="desc">sets the lifespan of an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.setLifespan(item-entity, ticks)</td>
        </tr>
    </table>
</section>
<section id="Enchantment">
	<table>
        <tr>
            <th class="command">Xenchantment.get</th>
            <th class="desc">returns an enchantment</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.get(enchantment_string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td><a href="https://minecraft-de.gamepedia.com/Verzauberung#Verzauberungen" target="_blank">Minecraft Wiki Verzauberungen</a> (ID-Name verwenden)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xenchantment.add</th>
            <th class="desc">adds an enchantment to an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.add(enchantment, itemstack, level)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xenchantment.getLevel</th>
            <th class="desc">returns the level of an enchantment an itemstack has</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.getLevel(enchantment, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xenchantment.readFromItem</th>
            <th class="desc">returns a map with all enchantments from an item with the level as value</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.readFromItem(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xenchantment.writeToItem</th>
            <th class="desc">transfers all enchantments from the map on the itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.writeToItem(map, itemstack)</td>
        </tr>
    </table>
</section>
<section id="Error">
	<table>
        <tr>
            <th class="command">Xerror.clear</th> 
            <th class="desc">clears all cached errors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.clear()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xerror.getSize</th> 
            <th class="desc">returns the amount of all cached errors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.getSize()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xerror.getIndex</th> 
            <th class="desc">returns the error from an index</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.getIndex(index)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xerror.setConsolePrint</th> 
            <th class="desc">true prints snuvi errors on console (not stack traces)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.setConsolePrint(boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdebug.clear</th> 
            <th class="desc">clears all cached debug-messages</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.clear()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdebug.getSize</th> 
            <th class="desc">returns the amount of all cached debug-messages</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.getSize()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdebug.getIndex</th> 
            <th class="desc">returns the debug-message from an index</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.getIndex(index)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdebug.setConsolePrint</th> 
            <th class="desc">true prints snuvi debug-messages on console (not stack traces)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.setConsolePrint(boolean)</td>
        </tr>
    </table>
</section>
<section id="Location">
    <table>
        <tr>
            <th class="command">Xloc.new</th> 
            <th class="desc">creates a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.new(World, x, y, z)<br>loc.new(World, x, y, z, yaw, pitch)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.getX</th>
            <th class="desc">returns the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getX(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.setX</th>
            <th class="desc">sets the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setX(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.addX</th>
            <th class="desc">adds the value to the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addX(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.getY</th>
            <th class="desc">returns the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getY(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.setY</th>
            <th class="desc">sets the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setY(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.addY</th>
            <th class="desc">adds the value to the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addY(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.getZ</th>
            <th class="desc">returns the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getZ(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.setZ</th>
            <th class="desc">sets the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setZ(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.addZ</th>
            <th class="desc">adds the value to the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addZ(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.setYaw</th>
            <th class="desc">sets the yaw of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setYaw(location, Yaw)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.getYaw</th>
            <th class="desc">returns the yaw of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getYaw(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.setPitch</th>
            <th class="desc">sets the pitch of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setPitch(location, Pitch)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.getPitch</th>
            <th class="desc">returns the pitch of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getPitch(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.getWorld</th>
            <th class="desc">returns the world of a location as object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getWorld(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.distance</th>
            <th class="desc">returns the difference between two locations</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.distance(location1, location2)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>there is no error if the two locations have not the same world</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.isBetween</th>
            <th class="desc">returns true if the location is between two other locations</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.isBetween(location, location1, location2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.mod</th>
            <th class="desc">returns a modified copy of the location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.mod(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.add</th>
            <th class="desc">modifies the original location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.add(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.set</th>
            <th class="desc">modifies the original location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.set(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.getCoord</th>
            <th class="desc">returns information from location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getCoord(location, w/x/y/z/bx/by/bz)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>w as world_name_string<br>b are block coordinates</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.sort</th>
            <th class="desc">sort in lowest and highest coordinates</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.sort(location1, location2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.setBlockPos</th>
            <th class="desc">sets the coordinates of a location from a blockPos</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setBlockPos(location, blockPos)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.iterator</th>
            <th class="desc">returns the iterator for the area</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.iterator(world, x1, y1, z1, x2, y2, z2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xloc.trace</th>
            <th class="desc">returns the traced original location or false if no block is found</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.trace(location, direction_x, direction_y, direction_z, steps, boolean)</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>boolean true means the block before the last one</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xloc.explode</th>
            <th class="desc">makes an explosion at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.explode(location, entity, radius, fire_bool, block_damage_bool)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>entity can be null</td>
        </tr>
    </table>
</section>
<section id="Read">
    <table>
        <tr>
            <th class="command">Xread.spawnMob</th>
            <th class="desc">spawns a mob and returns the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>read.spawnMob(location, nbt-tag)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xread.player</th>
            <th class="desc">returns the object player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>read.player(playername)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xread.item</th>
            <th class="desc">returns an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
			<td>
				read.item(nbt-tag)<br>
				read.item(item_type)<br>
				read.item(item_type, item_amount)<br>
				read.item(item_type, item_amount)<br>
				read.item(item_type, item_amount, name)<br>
				read.item(item_type, item_amount, name, lore1, lore2, ...)
			</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>returns null if the item does not exist</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xread.location</th>
            <th class="desc">returns a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>read.location("location")</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>worldname:x:y:z[:yaw:pitch]</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>read.location("gpvpnew:234:100:-341")<br>read.location("gpvpnew:234:100:-341:90:15")</td>
        </tr>
    </table>
	<table>
		<tr>
			<th class="command">Xread.uuid</th>
			<th class="desc">returns a uuid</th>
		</tr>
		<tr>
			<td class="bold">Format</td>
			<td>read.uuid("uuid")</td>
		</tr>
	</table>
	<table>
		<tr>
			<th class="command">Xread.slot</th>
			<th class="desc">returns a slot</th>
		</tr>
		<tr>
			<td class="bold">Format</td>
			<td>read.slot(slot)</td>
		</tr>
		<tr>
			<td class="bold">Info</td>
			<td>slot: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
		</tr>
	</table>
</section>
<section id="Text">
    <table>
        <tr>
            <th class="command">Xtext.item</th>
            <th class="desc">returns an nbt-tag from an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.item(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xtext.location</th>
            <th class="desc">returns a string from a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.location(location)</td>
        </tr>
    </table>
	<table>
		<tr>
			<th class="command">Xtext.locationBlock</th>
			<th class="desc">returns a string with rounded coordinates from a location</th>
		</tr>
		<tr>
			<td class="bold">Format</td>
			<td>text.locationBlock(location)</td>
		</tr>
	</table>
    <table>
        <tr>
            <th class="command">Xtext.entity</th>
            <th class="desc">returns a string from a entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.entity(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">XremoveFormat</th>
            <th class="desc">removes formatting</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>removeFormat(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xtext.click</th>
            <th class="desc">returns a clickable text object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.click(show_text, execute_text)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>
                msg(player, text.click("Click me", "and i will appear in the player's text screen"));<br>
                <br>
                msg(player, text.click("Click me", "/wusi"));<br>
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xtext.hover</th>
            <th class="desc">returns a hoverable text object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.hover(show_text, execute_text)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>
                msg(player, text.hover("Move over this text", "to see this text"));<br>
                <br>
                msg(player, text.hover(text.click("Click or move over me", "to print text or execute a command like /wusi"), "or to show this hover_text"));<br>
            </td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xtext.link</th>
            <th class="desc">returns a clickable message for links</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.link(message, link)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xtext.copyText</th>
            <th class="desc">returns a clickable message to copy text from a website</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.copyText(message, string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xtext.clipBoard</th>
            <th class="desc">returns a clickable message to set text to the clipboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.clipBoard(message, string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xtext.concat2</th>
            <th class="desc">connects all given arguments and returns a string object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.concat2(arg, ...)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>Colorcodes gets lost with this.</td>
        </tr>
    </table>
</section>
<section id="Plot">
    <table>
        <tr>
            <th class="command">Xplot.add</th>
            <th class="desc">returns the created plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.add(location1, location2, [plot_id])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.remove</th>
            <th class="desc">removes a plot from a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.remove(plot, world)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getId</th>
            <th class="desc">returns the plot_id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getId(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.setName</th>
            <th class="desc">sets the name of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.setName(plot, name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getName</th>
            <th class="desc">returns the name of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getName(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.get</th>
            <th class="desc">returns a list with all plots at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.get(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getMinX</th>
            <th class="desc">returns the lowest x coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinX(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getMinY</th>
            <th class="desc">returns the lowest y coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinY(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getMinZ</th>
            <th class="desc">returns the lowest z coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinZ(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getMaxX</th>
            <th class="desc">returns the lowest x coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxX(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getMaxY</th>
            <th class="desc">returns the lowest y coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxY(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getMaxZ</th>
            <th class="desc">returns the lowest z coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxZ(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.intersecting</th>
            <th class="desc">returns a list with all intersecting plots</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.intersecting(world, x1, y1, z1, x2, y2, z2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.setFlags</th>
            <th class="desc">sets all flags to the boolean</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.setFlags(plot, flags, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getFlags</th>
            <th class="desc">returns all flags as double</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getFlags(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.hasFlags</th>
            <th class="desc">returns true if all flags existing</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.hasFlags(plot, flags)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.getOwners</th>
            <th class="desc">returns a list with all owners as uuid (modifying the list changes the owners)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getOwners(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.check</th>
            <th class="desc">returns true if the player is owner of any plot from that location OR if any plot contains all given flags. returns empty if there is no plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.check(location, player, Int flags, Boolean empty)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>player can be null<br>flags: 0 if not desired<br>1 PLACE_FLAG<br>2 BREAK_FLAG<br>4 BUCKET_FLAG<br>8 HIT_AMBIENT_FLAG<br>16 BLOCK_INTERACT_FLAG<br>32 ENTITY_INTERACT_FLAG</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>
				plot.check(loc, null, 1, false) ==> true if place_flag existing<br>
				plot.check(loc, null, 2, false) ==> true if break_flag existing<br>
				plot.check(loc, null, 3, false) ==> true if break_flag and place_flag existing<br>
				plot.check(loc, player, 0, false) ==> true if player is owner<br>
				plot.check(loc, player, 0, true) ==> true if player is owner or if there is no plot
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplot.iterator</th>
            <th class="desc">returns the iterator for the plots in a world [for a player]</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.iterator(world, [uuid])</td>
        </tr>
    </table>
</section>
<section id="Table">
	<table>
        <tr>
            <th class="command">Xtable.new</th>
            <th class="desc">returns a table object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.new(color, width, width, width, ...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xtable.getStart</th>
            <th class="desc">returns the tables head</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getStart(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xtable.getMiddle</th>
            <th class="desc">returns a tables middle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getMiddle(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xtable.getEnd</th>
            <th class="desc">returns the tables end</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getEnd(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xtable.get</th>
            <th class="desc">returns a tables line</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.get(table, args...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xtable.setSize</th>
            <th class="desc">defines the pixel size of a character</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.setSize("character", pixel_int)</td>
        </tr>
    </table>
</section>
<section id="Command">
    <table>
        <tr>
            <th class="command">Xcommand.add</th>
            <th class="desc">registers a custom command</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.add(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.remove</th>
            <th class="desc">removes a custom command</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.remove(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.clear</th>
            <th class="desc">removes all custom commands</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clear()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.exists</th>
            <th class="desc">returns true if a custom command exists</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.exists(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.addIgnored</th>
            <th class="desc">ignores a (vanilla) command-help</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addIgnored(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.clearIgnored</th>
            <th class="desc">removes all ignored command-helps</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clearIgnored()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelp</th>
            <th class="desc">returns a help-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelp(string, perm)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelpLiteral</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpLiteral(string, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelpBool</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpBool(string, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelpDouble</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpDouble(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelpFloat</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpFloat(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelpInt</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpInt(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelpLong</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpLong(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelpString</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpString(string, boolean, [perm])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>boolean true means greedy</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.newHelpSpecial</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpSpecial(type, string, [perm])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>type = "Item", "Block", "Potion", "Enchantment", "Player"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.addHelp</th>
            <th class="desc">registers a command-help</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelp(help-object)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.addHelpChild</th>
            <th class="desc">help-sub-object2 is added tp help-(sub-)object1 as a new argument</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelpChild(help-(sub-)object1, help-sub-object2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.addHelpAlias</th>
            <th class="desc">help-object1 refers to help-object2</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelpAlias(help-object1, help-object2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.sendHelp</th>
            <th class="desc">sends all registered command-helps to all players</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.sendHelp()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcommand.clearHelp</th>
            <th class="desc">removes all registered command-helps</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clearHelp()</td>
        </tr>
    </table>
</section>
<section id="Scoreboard">
    <table>
        <tr>
            <th class="command">Xsb.add</th>
            <th class="desc">add text to the scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.add(receiver, index, string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index as number from 1 to 99</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>vanilla handling:<br>
				maximum 12 rows<br>
				rows with the same content are only shown once<br>
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xsb.remove</th>
            <th class="desc">removes a row from the scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.remove(receiver, index)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index as number from 1 to 99</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xsb.reset</th>
            <th class="desc">removes the whole scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.reset(receiver)</td>
        </tr>
    </table>
</section>
<section id="Display">
    <table>
        <tr>
            <th class="command">Xdisplay.add</th>
            <th class="desc">add icons or text to the players display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>display.add(receiver, index, string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index as number from 1 to 99</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>maximum 32 characters each row<br>
				you will find all icons in the mod file .minecraft/mods/km-x.xx/assets/km/textures/gui/icons<br>
				every icon has an id beginning with 1 in the left upper corner<br>
				you show icons in this format: "#id-amount-" e.g. "#3-1-"<br>
				fallback id is 0 (shows nothing)
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdisplay.remove</th>
            <th class="desc">removes a row from the display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>display.remove(receiver, index)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			<td>index as number from 1 to 99</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xdisplay.reset</th>
            <th class="desc">removes the whole display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>display.reset(receiver)</td>
        </tr>
    </table>
</section>
<section id="Stacks">
    <table>
        <tr>
            <th class="command">Xstacks.set</th>
            <th class="desc">fills a slot of the stacks-display with an icon</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>stacks.set(receiver, index, item_name)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			<td>index as number from 0 to 8</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xstacks.setActive</th>
            <th class="desc">shows/removes the stacks-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>stacks.setActive(receiver, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xstacks.clearIndex</th>
            <th class="desc">clears a slot from the stacks-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>stacks.clearIndex(receiver, index)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			<td>index as number from 0 to 8</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xstacks.clear</th>
            <th class="desc">clears the whole stacks-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>stacks.clear(receiver)</td>
        </tr>
    </table>
</section>
<section id="Script">
    <table>
        <tr>
            <th class="command">Xscript.start</th>
            <th class="desc">connects all scripts, starts them as one script and returns the script</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.start(scriptpath1, scriptpath2, ...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xscript.startNamed</th>
            <th class="desc">connects all scripts, starts them as one script and returns the script</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.startNamed(custom_name, scriptpath1, scriptpath2, ...)</td>
        </tr>
			<td class="bold">Info</td>
			<td>named scripts can be selected with script.get by their custom_name</td>
		<tr>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xscript.callEvent</th>
            <th class="desc">calls an event</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.callEvent(event, [script])</td>
        </tr>
    </table>
</section>
<section id="Head">
    <table>
        <tr>
            <th class="command">Xhead.add</th>
            <th class="desc">shows a player's head on the screen</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>head.add(receiver, id, head_player_name, x, y, width, height)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
				id: free selectable, non-global, per-player<br>
				x/y/width/height: scale from 0 to 1<br>
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xhead.remove</th>
            <th class="desc">removes a shown head</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>head.remove(receiver, id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xhead.reset</th>
            <th class="desc">Removes all shown heads</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>head.reset(receiver)</td>
        </tr>
    </table>
</section>
<section id="Title">
    <table>
        <tr>
            <th class="command">Xtitle.send</th>
            <th class="desc">shows a player a title (and subtitle if set)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.send(player, title)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xtitle.setSub</th>
            <th class="desc">sets a subtitle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.setSub(player, subtitle)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xtitle.setTime</th>
            <th class="desc">sets the times for title</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.setTime(player, fadeIn|20, show|60, fadeOut|20)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>times in ticks</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xtitle.reset</th>
            <th class="desc">resets the times for title to default</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.reset(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xtitle.clear</th>
            <th class="desc">removes the shown title</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.clear(player)</td>
        </tr>
    </table>
</section>
<section id="Permission">
    <table>
        <tr>
            <th class="command">Xperm.clear</th>
            <th class="desc">removes all permissions</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.clear()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xperm.registerGroup</th>
            <th class="desc">adds a permission to a permission-group</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.registerGroup(id, permission)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>id 0 = default<br>id 1 = worldedit</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xperm.registerPlayer</th>
            <th class="desc">adds a permission-group to a a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.registerPlayer(uuid / string_uuid / player, id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xperm.unregisterPlayer</th>
            <th class="desc">removes a permission-group from a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.unregisterPlayer(uuid / string_uuid / player, id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xperm.has</th>
            <th class="desc">returns true if the player has the permission</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.has(player, permission)</td>
        </tr>
    </table>
</section>
<section id="Player">
    <table>
        <tr>
            <th class="command">Xplayers.toList</th>
            <th class="desc">returns a list with all players online</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.toList()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayers.toWorldList</th>
            <th class="desc">returns a list with all players in a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.toWorldList(World)</td>
        </tr>
        <tr>
            <td class="bold">Alias</td>
            <td>world.getPlayers(World)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayers.near</th>
            <th class="desc">returns a list with all players within a radius of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.near(location, radius)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.damageArmor</th>
            <th class="desc">damages an players armor, portioned on all armor parts</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.damageArmor(player, damage_float, damage_source)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.near</th>
            <th class="desc">returns a list with all players within a radius of a player (without that player)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.near(player, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayers.getAmount</th>
            <th class="desc">returns the number of online players</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.getAmount()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getHead</th>
            <th class="desc">returns a players head as an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getHead(uuid, name)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>uuid and(!) name of the player</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getNearest</th>
            <th class="desc">returns the next player to a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getNearest(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.setDisplayName</th>
            <th class="desc">set the player's name in tab list</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setDisplayName(player, display_name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.speak (deprecated)</th>
            <th class="desc">sends a message with prefix</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.speak(receiver, präfix, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.action</th>
            <th class="desc">shows a message in the action bar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.action(receiver, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getTarget</th>
            <th class="desc">returns the location from the block the player is looking at</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getTarget(player, radius|5, [blockmode|true], [fluidmode|true])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>blockmode: true ignores blocks without player collision<br>fluidmode: true does not ignores water</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.inventoryToList</th>
            <th class="desc">returns a list with the inventory of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.inventoryToList(player)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>an empty slot is null<br>changes effects the player inventory directly</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getName</th>
            <th class="desc">returns the name of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getName(uuid / string_uuid / player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getUuid</th>
            <th class="desc">returns the uuid of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getUuid(player / player_name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getUuidFromId</th>
            <th class="desc">returns the uuid of a player from his id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getUuidFromId(player_id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getNameFromId</th>
            <th class="desc">returns the name of a player from his id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getNameFromId(player_id)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.getId</th>
            <th class="desc">returns the id of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getId(player / uuid / string_uuid)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.get</th>
            <th class="desc">returns the player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.get(uuid / string_uuid)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.respawn</th>
            <th class="desc">awakes a player from death if the parser reaches wait() and activates the respawn events</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.respawn(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.setCompass</th>
            <th class="desc">set the direction for a players compass</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setCompass(player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.setHunger</th>
            <th class="desc">set the players hunger (vanilla default: 0-20)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setHunger(player, number)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getHunger</th>
            <th class="desc">returns the players hunger as number</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getHunger(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.setSaturation</th>
            <th class="desc">set the players saturation (vanilla default: 0-20)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setSaturation(player, number)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getSaturation</th>
            <th class="desc">returns the players saturation as number</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getSaturation(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.setGamemode</th>
            <th class="desc">set the gamemode for a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setGamemode(player, gamemode)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>gamemode as "survival" / "creative" / "adventure" / "spectator"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.isSurvival</th>
            <th class="desc">returns true if the player is in gamemode survival or adventure</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isSurvival(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.isCreative</th>
            <th class="desc">returns true if the player is in gamemode creative</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isCreative(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.isAdventure</th>
            <th class="desc">returns true if the player is in gamemode adventure or spectator</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isAdventure(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.isSpectator</th>
            <th class="desc">returns true if the player is in gamemode spectator</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isSpectator(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.hasFly</th>
            <th class="desc">returns true if the player can fly</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.hasFly(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.setFly</th>
            <th class="desc">set true for a flying player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setFly(player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getLastDamager</th>
            <th class="desc">returns the entity which harmed the player the last time</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getLastDamager(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.dropInventory</th>
            <th class="desc">drops the inventory from a player at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.dropInventory(player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getItemAmount</th>
			<th class="desc">returns the amount of an item-type from a players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getItemAmount(player, boolean, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>true means exact itemstack</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.damageItem</th>
            <th class="desc">damages the item in a player's hand</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.damageItem(player, damage_amount)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>unbreaking (and more) is considered</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.setBedSpawn</th>
            <th class="desc">sets the spawn-location for a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				player.setBedSpawn(player, location, [yaw])<br>
				player.setSpawn(player, location, [yaw])
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getBedSpawn</th>
            <th class="desc">returns the spawn-location for a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				player.getBedSpawn(player)<br>
				player.getSpawn(player)
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.giveItem</th>
            <th class="desc">gives an itemstack to a player and returns the itemstack which didn't fit in the players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.giveItem(player, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.removeItem</th>
            <th class="desc">removes an itemstack from a player and returns the itemstack which couldn't be removed from the players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.removeItem(player, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.say</th>
            <th class="desc">send a message to global chat, like a player has written the message by himself</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.say(player, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.getIP</th>
            <th class="desc">returns the ip-address of a player as string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getIp(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xplayer.clearInventory</th>
            <th class="desc">clears the inventory of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.clearInventory(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.openEnderchest</th>
            <th class="desc">opens the enderchest from a player and shows it to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.openEnderchest(from_player, to_player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.getInv</th>
            <th class="desc">returns the (non-copy) players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getInv(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.getEnderInv</th>
            <th class="desc">returns the (non-copy) players ender inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getEnderInv(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.getTargetEntity</th>
            <th class="desc">returns the targeted entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getTargetEntity(player, radius, class)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>player.getTargetEntity(player, 4, "net.minecraft.entity.player.EntityPlayer")</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.getLevel</th>
            <th class="desc">returns the level of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getLevel(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.setLevel</th>
            <th class="desc">sets the level of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setLevel(player, level)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.getExp</th>
            <th class="desc">returns the exp of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getExp(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.setExp</th>
            <th class="desc">sets the exp of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setExp(player, exp)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.addTotalExp</th>
            <th class="desc">modifies the exp of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.addTotalExp(player, exp)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.hide</th>
            <th class="desc">hides a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.hide(player)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>bug: effects show the player</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xplayer.show</th>
            <th class="desc">shows a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.show(player)</td>
        </tr>
    </table>
</section>
<section id="Inventory">
    <table>
        <tr>
            <th class="command">Xinv.new</th>
            <th class="desc">returns a new created custom-inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.new(String slotdata)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>slotdata: 0 = no slot / 1 = normal slot / 2 = button throws inv_click event, backgroundcolor like frame / 3 = button throws inv_click event, backgroundcolor different to frame</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>inv.new("002133")</td>
        </tr>
    </table>
	</table>
	<table>
		<tr>
            <th class="command">Xinv.getSize</th>
            <th class="desc">returns the size of an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getSize(inventory)</td>
        </tr>
    <table>
        <tr>
            <th class="command">Xinv.setItem</th>
            <th class="desc">sets an itemstack on a specific slot in an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.setItem(inventory, slotindex, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xinv.getItem</th>
            <th class="desc">returns an itemstack from a specific slot of an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getItem(inventory, slotindex)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xinv.open</th>
            <th class="desc">shows an custom-inventory to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.open(inventory, player, inv_title)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xinv.close</th>
            <th class="desc">closes an inventory from a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.close(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xinv.update</th>
            <th class="desc">updates an inventory from a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.update(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xinv.loadChest</th>
            <th class="desc">copies the content of a chest and put it into an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.loadChest(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xinv.getID</th>
            <th class="desc">returns the id of an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getID(inventory)</td>
        </tr>
    </table>
</section>
<section id="World">
    <table>
        <tr>
            <th class="command">Xworld.get</th>
            <th class="desc">returns a world as object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.get(world_name_string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.getName</th>
            <th class="desc">returns the name of a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getName(World)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.setDifficulty</th>
            <th class="desc">sets the difficulty of a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setDifficulty(difficulty_string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>difficulty_string: PEACEFUL, EASY, NORMAL, HARD</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.setSpawn</th>
            <th class="desc">sets the world spawn</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setSpawn(World, Location, [yaw])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.getSpawn</th>
            <th class="desc">returns the world spawn as location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getSpawn(World)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.getAll</th>
            <th class="desc">returns a list with all loaded worlds</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getAll()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.setTime</th>
            <th class="desc">sets the time (0 - 24000) for a minecraft world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setTime(World, time)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.getTime</th>
            <th class="desc">returns the time (0 - 24000) of a minecraft world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getTime(World)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xworld.hasStorm</th>
            <th class="desc">returns true if it is raining in the world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.hasStorm(World)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.clearWeather</th>
            <th class="desc">clears the weather in a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.clearWeather(World, time)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>effect of time unknown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.setRain</th>
            <th class="desc">sets the weather in a world to rain</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setRain(World, time)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>effect of time unknown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.setThunder</th>
            <th class="desc">sets the weather in a world to thunder</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setThunder(World, time)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>effect of time unknown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xworld.getEntities</th>
            <th class="desc">returns a list with all entities from a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getEntities(world)</td>
        </tr>
    </table>
</section>
<section id="Entity">
	<table>
        <tr>
            <th class="command">Xentity.getType</th>
            <th class="desc">returns the type of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getType(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setName</th>
            <th class="desc">sets the name of an entity, true for an always visible name</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setName(entity, name, nameVisibility|false)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getName</th>
            <th class="desc">returns the name of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getName(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getLocation</th>
            <th class="desc">returns the location of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getLocation(entity / player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.teleport</th>
            <th class="desc">teleports an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.teleport(entity / player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setInvulnerable</th>
            <th class="desc">sets an entity (in)vulverable</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setInvulnerable(entity / player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.throw</th>
            <th class="desc">throws an entity in relative direction to the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.throw(entity / player, x, y, z)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>x/y/z is claimed in the interval from -3.9 to 3.9 by minecraft</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setInvisible</th>
            <th class="desc">sets an entity (in)visible</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setInvisible(entity / player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.clearEffects</th>
            <th class="desc">remove all effects from an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.clearEffects(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.remove</th>
            <th class="desc">removes an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.remove(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.removeAll</th>
            <th class="desc">remove specific entities from an area</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.removeAll(entity_class, location, radius)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>not all entity_classes are allowed (filtered and blocked)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>entity.removeAll("net.minecraft.entity.passive.CowEntity", location, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setSilent</th>
            <th class="desc">true sets an entity silent</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setSilent(entity, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.mount</th>
            <th class="desc">let an entity ride another entity (for any living entities)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.mount(entity, horse_entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.unmount</th>
            <th class="desc">unmounts the rider</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.unmount(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.isWet</th>
            <th class="desc">returns true if an entity is wet</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.isWet(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.isBurning</th>
            <th class="desc">returns true if an entity burns</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.isBurning(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setBurning</th>
            <th class="desc">sets an entity on fire</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setBurning(entity, seconds)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>0 seconds extinguish the entity</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setNoPickup</th>
            <th class="desc">this arrow-entity cannot be picked up</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setNoPickup(arrow-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.get</th>
            <th class="desc">returns the next entity to a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.get(location, radius, entity_class)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>entity.get(location, radius, "net.minecraft.entity.passive.CowEntity")</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getItemFromFrame</th>
            <th class="desc">returns the itemstack of an itemframe</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getItemFromFrame(itemframe-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.spawnItemFrame</th>
            <th class="desc">sets an itemframe with an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.spawnItemFrame(location, direction, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>direction "north" / "east" / "south" / "west"</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.spawn</th>
            <th class="desc">spawns an entity and returns the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.spawn(type, location, [daten])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.getEnchantmentModifier</th>
            <th class="desc">returns the summarized enchantment modificator of the armor for the damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getEnchantmentModifier(entity, damagesource)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.setGravity</th>
            <th class="desc">toggles the gravity of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setGravity(entity, boolean)</td>
        </tr>
    <table>
        <tr>
            <th class="command">Xentity.setPickupDelay</th>
            <th class="desc">unknown</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setPickupDelay(item-entity, ticks)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.setGrowingAge</th>
            <th class="desc">sets the growing age of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setGrowingAge(entity, age_int)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getEffectAmplifier</th>
            <th class="desc">returns the amplifier (effect level), 0 if not existing</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.hasEffect(entity / player, effect)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>String <a href="https://minecraft-de.gamepedia.com/Statuseffekt" target="_blank">effect</a></td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.addEffect</th>
            <th class="desc">adds an effect to an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.addEffect(entity / player, effect, ticks, amplifier, [particle|true])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>String <a href="https://minecraft-de.gamepedia.com/Statuseffekt" target="_blank">effect</a> / number ticks (infinite: 32760) / number amplifier (1 means potion-level 1)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getPotionType</th>
            <th class="desc">returns the type of a potion</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getPotionType(potion-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.near</th>
            <th class="desc">returns a list with all entities within a location / a radius of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.near(location / entity, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xentity.getLook</th>
            <th class="desc">returns an array with vectors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getLook(entity / player)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>array[0] = x<br>array[1] = y<br>array[2] = z</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.getMotion</th>
            <th class="desc">returns an array with vectors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getMotion(entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.addTag</th>
            <th class="desc">adds a tag to an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.addTag(entity, tag as string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.removeTag</th>
            <th class="desc">removes a tag from an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.removeTag(entity, tag as string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.clearTag</th>
            <th class="desc">removes all tags from an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.clearTag(entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xentity.hasTag</th>
            <th class="desc">returns true if an entity has a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.hasTag(entity, tag as string)</td>
        </tr>
        <tr>
			<td class="bold">Info</td>
            <td>default entity-tags: no_tick, mod_spawned</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xcreeper.explode</th>
            <th class="desc">let a creeper explode</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>creeper.explode(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xsheep.isSheared</th>
            <th class="desc">returns true if a sheep is sheared</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sheep.isSheared(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xsheep.getColor(entity)</th>
            <th class="desc">returns the color of a sheep</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sheep.getColor(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xpet.isTamed</th>
            <th class="desc">returns true if a pet is tamed</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>pet.isTamed(tamable_entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xpet.setTamed</th>
            <th class="desc">set tame state for a tamable entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				pet.setTamed(tamable_entity, boolean, [owner])
			</td>
        </tr>
		<tr>
            <td class="bold">Example</td>
            <td>
				pet.setTamed(horse, true)<br>
				pet.setTamed(horse, false)<br>
				pet.setTamed(horse, true, owner)<br>
				pet.setTamed(horse, false, owner)<br>
			</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xpet.getOwner</th>
            <th class="desc">returns the owner's uuid from an pet</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>pet.getOwner(tamable_entity)</td>
        </tr>
    </table>
</section>
<section id="Living">
    <table>
        <tr>
            <th class="command">Xliving.setHealth</th>
            <th class="desc">sets the health points for a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.setHealth(living_entity, amount)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.getHealth</th>
            <th class="desc">returns the health points from a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.getHealth(living_entity)</td>
        </tr>
	</table>
	<table>
        <tr>
            <th class="command">Xliving.damage</th>
            <th class="desc">damages a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.damage(living_entity, damage_amount, [damagesource])</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>triggers events on the next server tick</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.heal</th>
            <th class="desc">heals a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.heal(living_entity, heal_amount)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>triggers events on the next server tick</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.setEquip</th>
            <th class="desc">set the equipment of a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.setEquip(living_entity, bodypart, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>bodypart: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.getEquip</th>
            <th class="desc">returns the equipment of a living_entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.getEquip(living_entity, bodypart)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>bodypart: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.near</th>
            <th class="desc">returns a list with all living entities within a location / a radius of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.near(location / entity, radius)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xliving.removeAi</th>
            <th class="desc">removes the AI of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.removeAi(living_entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">X</th>
            <th class="desc">commands for living properties</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				living.get...(living_entity)<br>
				living.getBase...(living_entity)<br>
				living.set..(living_entity, value)<br>
				living.setPersistent...(living_entity, value)
			</td>
        </tr>
        <tr>
            <td class="bold">Properties</td>
            <td>
				...maxHealth<br>
				...AttackKnockback<br>
				...AttackDamage<br>
				...AttackSpeed<br>
				...FollowRange<br>
				...Luck<br>
				...Armor<br>
				...ArmorThoughness<br>
				...MovementSpeed<br>
				...FlyingSpeed<br>
				...KnockbackResistance
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.shootProjectile</th>
            <th class="desc">returns the shooten entity. A projectile is shooten into viewing direction of the player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.shootProjectile(living_entity, String entity_class, Number power, [data])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
                data: always null, except for arrows and potions use itemstacks<br>
                <br>
                entity_classes:<br>
                <br>
                me.km.entities.EntityItemProjectile<br>
                net.minecraft.entity.projectile.SnowballEntity<br>
                net.minecraft.entity.projectile.EggEntity<br>
                net.minecraft.entity.item.EnderPearlEntity<br>
                net.minecraft.entity.projectile.PotionEntity<br>
                net.minecraft.entity.item.ExpBottleEntity<br>
                net.minecraft.entity.projectile.ArrowEntity<br>
                net.minecraft.entity.projectile.TippedArrowEntity<br>
                net.minecraft.entity.projectile.SpectralArrowEntity<br>
                net.minecraft.entity.projectile.ArrowEntity<br>
                net.minecraft.entity.projectile.SmallFireballEntity<br>
                net.minecraft.entity.projectile.WitherSkullEntity<br>
                net.minecraft.entity.projectile.DragonFireballEntity<br>
                net.minecraft.entity.projectile.FireballEntity
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xliving.isBlocking</th>
            <th class="desc">returns true if an entity is blocking (e.g. activated shield)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.isBlocking(entity)</td>
        </tr>
    </table>
</section>
<section id="Particle">
	<table>
        <tr>
            <th class="command">Xparticle.get</th>
            <th class="desc">returns particle data</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.get(name, [data])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>block particle: data = block_name<br>dust particle: data = float red, float green, float blue, float alpha<br>item particle: data = item_name</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xparticle.getAll</th>
            <th class="desc">returns a list with all particles</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.getAll()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xparticle.spawn</th>
            <th class="desc">spawns particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.spawn(location, particle_data, [count|1], [speed,0.0], [offX,0.0], [offY,0.0], [offZ,0.0])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xparticle.spawnPlayer</th>
            <th class="desc">spawns particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.spawnPlayer(location, particle_data, player, [count|1], [speed,0.0], [offX,0.0], [offY,0.0], [offZ,0.0])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">Xparticle.spawnCircle</th>
            <th class="desc">spawns particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.spawnCircle(location, particle_data, instances, radius, [count|1], [speed,0.0], [offX,0.0], [offY,0.0], [offZ,0.0])<br>particle.spawnCircle(location, particle_data, instances, stepX, stepY, stepZ, [count|1], [speed,0.0], [offX,0.0], [offY,0.0], [offZ,0.0])</td>
        </tr>
    </table>
</section>
<section id="Sound">
	<table>
        <tr>
            <th class="command">Xsound.get</th>
            <th class="desc">returns a sound</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.get(String sound_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xsound.getCategory</th>
            <th class="desc">returns a sound category</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.getCategory(String sound_category|"master")</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xsound.spawn</th>
            <th class="desc">plays a sound</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.spawn(location, sound, soundCategory, [volume|1.0], [pitch|random von 0.9 - 1.0])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xsound.spawnForPlayer</th>
            <th class="desc">plays a sound for a player (not hearable for that one player!)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.spawnForPlayer(player, sound, soundCategory, [volume|1.0], [pitch|random von 0.9 - 1.0])</td>
        </tr>
    </table>
</section>
<section id="Human">
	<table>
        <tr>
            <th class="command">Xhuman.spawn</th>
            <th class="desc">returns the new created human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.spawn(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xhuman.setSkin</th>
            <th class="desc">sets the skin of a human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setSkin(human, file_name OR uuid)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>file_name is for skins saved local on our own server. if file_name not found, global skin are searched via uuid</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xhuman.setSlim</th>
            <th class="desc">true makes the human slim (slim is for alex skins)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setSlim(human, boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xhuman.setScale</th>
            <th class="desc">sets the size of the human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setScale(human, value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xhuman.setStatue</th>
            <th class="desc">toggles between human and statue</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setStatue(human, bool)</td>
        </tr>
    </table>
</section>
<section id="Damage">
	<table>
        <tr>
            <th class="command">Xdamage.get</th>
            <th class="desc">returns a damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				damage.get(String damage_name)<br><br>
				damage.get("thorns", entity)<br><br>
				damage.get(entity, creative, armor, absolute, explosion, fire, magic, projectile)
			</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			 <td>
				damage_name = inFire, lightningBolt, onFire, lava, hot_floor, inWall, cramming, drown, starve, cactus, fall, flyIntoWall, outOfWorld, generic, magic, wither, anvil, falling_block, dragon_breath, dryout, sweet_berry_bush
				<br><br>
                creative: boolean, true also deals damage in creative mode<br>
                armor: boolean, true ignores armor<br>
                absolute: boolean, true ignores enchantments and potions<br>
                explosion: boolean, tag for explosion enchantment<br>
                fire: boolean, tag for fire enchantment<br>
                magic: boolean, true makes the damage magic<br>
                projectile: boolean, tag for projectile enchantment<br>
            </td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.getType</th>
            <th class="desc">returns the type of a damagesource as string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getType(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.getImmediateSource</th>
            <th class="desc">returns the direct damager entity of a damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getImmediateSource(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.getTrueSource</th>
            <th class="desc">returns the indirect damager entity of a damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getTrueSource(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.isCreativePlayer</th>
            <th class="desc">returns true if the damagesource can damage an creative player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isCreativePlayer(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.isAbsolute</th>
            <th class="desc">returns true if the damage ignores modifications by potion effects or enchantments</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isAbsolute(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.isDifficultyscaled</th>
            <th class="desc">returns true if the damagesource will have its damageamount scaled based on the current difficulty</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isDifficultyscaled(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.isExplosion</th>
            <th class="desc">returns true if the damage is explosion based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isExplosion(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.isFire</th>
            <th class="desc">returns true if the damage is fire based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isFire(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.isMagic</th>
            <th class="desc">returns true if the damage is magic based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isMagic(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.isProjectile</th>
            <th class="desc">returns true if the damage is projectile based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isProjectile(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdamage.isUnblockable</th>
            <th class="desc">returns true if the damage cannot be blocked by armor</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isUnblockable(damagesource)</td>
        </tr>
    </table>
</section>
<section id="Data">
	<table>
        <tr>
            <th class="command">Xdata.set</th>
            <th class="desc">sets data for a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.set(player, String varname, value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdata.get</th>
            <th class="desc">returns data from a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.get(player, String varname)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdata.setTimer</th>
            <th class="desc">sets timed data for a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.setTimer(player, String varname, ticks)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>set ticks to -1 to delete the timer. after the timer expires the event player_data_tick is thrown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdata.getTimer</th>
            <th class="desc">returns the remaining ticks of timed data (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.getTimer(player, String varname)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xdata.clear</th>
            <th class="desc">deletes all datas from a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.clear(player)</td>
        </tr>
    </table>
</section>
<section id="Shop">
	<table>
        <tr>
            <th class="command">Xshop.new</th>
            <th class="desc">returns a new shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.new()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xshop.addOffer</th>
            <th class="desc">adds an offer to a shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.addOffer(shop, buy_item, sell_item, max_uses)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xshop.addDoubleOffer</th>
            <th class="desc">adds a double offer to a shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.addDoubleOffer(shop, buy_item_1, buy_item_2, sell_item, max_uses)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xshop.open</th>
            <th class="desc">shows a shop to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.open(shop, player, shop_name)</td>
        </tr>
    </table>
</section>
<section id="Status">
	<table>
        <tr>
            <th class="command">Xstatus.add</th>
            <th class="desc">adds a message to the enchantment-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>status.add(receiver, byte index, message)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xstatus.addTimed</th>
            <th class="desc">adds a timed message to the enchantment-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>status.addTimed(receiver, byte index, int time, message)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xstatus.remove</th>
            <th class="desc">removes a single message from the enchantment-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>status.remove(receiver, byte index)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xstatus.reset</th>
            <th class="desc">removes all messages from the enchantment-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>status.reset(receiver)</td>
        </tr>
    </table>
</section>
<section id="Boss">
	<table>
        <tr>
            <th class="command">Xboss.setColor</th>
            <th class="desc">sets the color for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setColor("PINK" / "BLUE" / "RED" / "GREEN" / "YELLOW" / "PURPLE" / "WHITE")</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xboss.setCreateFog</th>
            <th class="desc">sets a property for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setCreateFog(boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xboss.setDarkenSky</th>
            <th class="desc">sets a property for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setDarkenSky(boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xboss.setPlayEndbossmusic</th>
            <th class="desc">sets a property for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setPlayEndbossmusic(boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xboss.setName</th>
            <th class="desc">sets the name for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setName(string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xboss.setOverlay</th>
            <th class="desc">sets an overlay to split the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setOverlay("PROGRESS" / "NOTCHED_6" / "NOTCHED_10" / "NOTCHED_12" / "NOTCHED_20")</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xboss.setPercent</th>
            <th class="desc">sets the progress of the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setPercent(0 - 1)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">Xboss.send</th>
            <th class="desc">sends the bossbar to the players</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.send(receiver, "ADD" / "REMOVE" / "UPDATE_PCT" / "UPDATE_NAME" / "UPDATE_STYLE" / "UPDATE_PROPERTIES")</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
			ADD sends name, percent, color, overlay, properties(booleans)<br>
			UPDATE_PCT sends percent<br>
			UPDATE_NAME sends name<br>
			UPDATE_STYLE sends color, overlay<br>
			UPDATE_PROPERTIES sends properties(booleans)<br>
			</td>
        </tr>
    </table>
</section>